pskc_str2keyusage(3)

NAME
pskc_str2keyusage - API function

SYNOPSIS
#include <pskc.h>

pskc_keyusage pskc_str2keyusage(const char * keyusage);

ARGUMENTS

const char * keyusage
    an string describing a key usage.

DESCRIPTION
Convert a string to a pskc_keyusage type. For example, pskc_str2keyusage("KeyWrap") will return PSKC_KEYUSAGE_KEYWRAP.

RETURNS
The corresponding pskc_keyusage value.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.